GuidesAPI Reference
API Reference

Gets event history

Gets all events for all devices and shipments of the project. The results are listed in descending order based on the timestamp.

An event is uniquely identified by trackingId-ruleId-timestamp key, with an exception of dwelling and stock rule events. Dwelling events also need geofenceId to be specified, whereas for stock events trackingId is not applicable.

A time range can be defined with before and after timestamps. The response will contain an array of events that were recorded within the range. The default value for before parameter is the current time, and for the after parameter it is one day in the past from the current time. The after parameter value is not allowed to be earlier than two weeks in the past from the before timestamp, otherwise an error is returned.

If the request is supplied with eventSource query parameter, the response will contain events generated by the defined source only.

If the request is supplied with eventType query parameter, the response will contain events of the specified type only.

If the request is supplied with ruleId query parameter, the response will only contain events for the specified rule ID.

If the request is supplied with initialState query parameter, the response will contain events having the specified initial state.

All the aforementioned query parameters can be combined together.

Query Params
number
≥ 1

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 1 to the current time.

number
≥ 0

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

enum
enum
boolean

Events with the initialState property set as true are generated when the rule is evaluated for the first time. It indicates the fact that this is the initial evaluation state, which would serve as a starting point for the subsequent rule evaluations. The rest of the rule events would represent a transition of a device or a shipment or a geofence from one state to another and their initialState property will be set to false.

string

A token from the previously returned response to retrieve the specified page.

integer
1 to 1000
Defaults to 1000

The number of items to return per page.

string
length ≥ 8

Application identifier. Used together with an external ID to identify a virtual device.

string
length between 1 and 50

Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json